Bug 28448 - at-3.1.8: lexer/parser, midnight, DST, batch, test harness fixes on Debian BTS
Summary: at-3.1.8: lexer/parser, midnight, DST, batch, test harness fixes on Debian BTS
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: at   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-20 15:25 UTC by David D. Kilzer
Modified: 2007-04-18 16:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-05 00:46:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix batch shell script and to update configure.in (1.62 KB, patch)
2001-02-20 16:11 UTC, David D. Kilzer
no flags Details | Diff
Lexer/parser patch with numerous fixes; incorporates pre-patch mentioned in Debian bug (20.11 KB, patch)
2001-02-20 16:12 UTC, David D. Kilzer
no flags Details | Diff
Patch to implement test harness for lexer/parser that is written in Perl (30.18 KB, patch)
2001-02-20 16:13 UTC, David D. Kilzer
no flags Details | Diff
Modifcations to at.spec for building at-3.1.8-12 with new patches; note fix to at.allow(5) and at.deny(5) manpages (2.24 KB, patch)
2001-02-20 16:56 UTC, David D. Kilzer
no flags Details | Diff
Fixes handling of daylight savings when adding or subtracting years in add_date() (apply after at-3.1.8-lexer-parser2.diff) (363 bytes, patch)
2001-03-05 00:44 UTC, David D. Kilzer
no flags Details | Diff
Fixed two test cases in @date_time_tests_date where a year was added if the current date was December 31 (no year should be added in this case) (apply after at-3.1.8-test.diff) (863 bytes, patch)
2001-03-05 00:46 UTC, David D. Kilzer
no flags Details | Diff

Description David D. Kilzer 2001-02-20 15:25:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.17 i686)


I just finished uploading a number of patches to the Debian bug tracking
system (BTS).
They include patches for fixing numerous bugs in the lexer/parser, fixes
for daylight
savings time (DST) offsets, fix for 'midnight' being treated differently
from '12 am' and 
'12:00 am', fixes for the batch(1) shell script, and a test harness for the
lexer/parser 
that is written in Perl.

#86672: Fixing numerous bugs and cleaning up lexer/parser used with at(1)
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=86672

#70988: "batch" doesn't understand TIME same as "at"
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=70988

#86662: test harness for the lexer/parser in at(1)
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=86662

See also:
#86571: at mishandles UTC timezone offset
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=86571

#86573: at handles 'midnight' differently from '12:00 am'
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=86573

Reproducible: Always
Steps to Reproduce:
1. echo echo hi | batch friday

2. echo echo hi | at 4 pm friday + 1 day

3. echo echo hi | at tomorrow + 1 year

4. echo echo hi | at 31 December

[There are many other formats that don't work.  This is just a sample.]

Actual Results:  1. echo echo hi | batch friday
parse error. Last token seen: friday
Garbled time

2. echo echo hi | at 4 pm friday + 1 day
parse error. Last token seen: +
Garbled time

3. echo echo hi | at tomorrow + 1 year
parse error. Last token seen: year
Garbled time

4. echo echo hi | at 31 December
Problem in hours specification. Last token seen: December
Garbled time


Expected Results:  1. echo echo hi | batch friday
warning: commands will be executed using /bin/sh
job 18 at 2001-02-23 09:18

2. echo echo hi | at 4 pm friday + 1 day
warning: commands will be executed using /bin/sh
job 19 at 2001-02-24 16:00

3. echo echo hi | at tomorrow + 1 year
warning: commands will be executed using /bin/sh
job 20 at 2002-02-21 09:19

4. echo echo hi | at 31 December
warning: commands will be executed using /bin/sh
job 21 at 2001-12-31 09:19


I compiled at-3.1.8-12 from Red Hat 7.0 on my Red Hat 6.2 system, which is
why the
version of at(1) and Red Hat don't match.

Comment 1 David D. Kilzer 2001-02-20 16:11:02 UTC
Created attachment 10520 [details]
Patch to fix batch shell script and to update configure.in

Comment 2 David D. Kilzer 2001-02-20 16:12:57 UTC
Created attachment 10521 [details]
Lexer/parser patch with numerous fixes; incorporates pre-patch mentioned in Debian bug

Comment 3 David D. Kilzer 2001-02-20 16:13:41 UTC
Created attachment 10522 [details]
Patch to implement test harness for lexer/parser that is written in Perl

Comment 4 David D. Kilzer 2001-02-20 16:56:14 UTC
Created attachment 10524 [details]
Modifcations to at.spec for building at-3.1.8-12 with new patches; note fix to at.allow(5) and at.deny(5) manpages

Comment 5 David D. Kilzer 2001-03-05 00:44:06 UTC
Created attachment 11762 [details]
Fixes handling of daylight savings when adding or subtracting years in add_date() (apply after at-3.1.8-lexer-parser2.diff)

Comment 6 David D. Kilzer 2001-03-05 00:46:02 UTC
Created attachment 11763 [details]
Fixed two test cases in @date_time_tests_date where a year was added if the current date was December 31 (no year should be added in this case) (apply after at-3.1.8-test.diff)

Comment 7 Jens Petersen 2003-06-02 06:32:58 UTC
Where does one find parsetest that is used in test.pl?

Comment 8 Jens Petersen 2003-06-02 06:38:46 UTC
Nevermind, I read the Makefile....


Note You need to log in before you can comment on or make changes to this bug.